Bug 1120497 - [abrt] mkvtoolnix: std::__throw_runtime_error(): mkvmerge killed by SIGABRT
Summary: [abrt] mkvtoolnix: std::__throw_runtime_error(): mkvmerge killed by SIGABRT
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mkvtoolnix
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:928243b0911faeb2e05edee242b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 05:12 UTC by Juan Orti Alcaine
Modified: 2015-01-27 13:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-27 13:46:39 UTC


Attachments (Terms of Use)
File: backtrace (8.32 KB, text/plain)
2014-07-17 05:12 UTC, Juan Orti Alcaine
no flags Details
File: build_ids (902 bytes, text/plain)
2014-07-17 05:12 UTC, Juan Orti Alcaine
no flags Details
File: cgroup (181 bytes, text/plain)
2014-07-17 05:12 UTC, Juan Orti Alcaine
no flags Details
File: core_backtrace (4.46 KB, text/plain)
2014-07-17 05:12 UTC, Juan Orti Alcaine
no flags Details
File: dso_list (2.03 KB, text/plain)
2014-07-17 05:12 UTC, Juan Orti Alcaine
no flags Details
File: environ (4.40 KB, text/plain)
2014-07-17 05:12 UTC, Juan Orti Alcaine
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-17 05:12 UTC, Juan Orti Alcaine
no flags Details
File: maps (9.73 KB, text/plain)
2014-07-17 05:12 UTC, Juan Orti Alcaine
no flags Details
File: open_fds (138 bytes, text/plain)
2014-07-17 05:12 UTC, Juan Orti Alcaine
no flags Details
File: proc_pid_status (984 bytes, text/plain)
2014-07-17 05:12 UTC, Juan Orti Alcaine
no flags Details
File: var_log_messages (199 bytes, text/plain)
2014-07-17 05:12 UTC, Juan Orti Alcaine
no flags Details

Description Juan Orti Alcaine 2014-07-17 05:12:02 UTC
Version-Release number of selected component:
mkvtoolnix-7.0.0-1.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        mkvmerge -i 'V\xc3\xaddeos/Pelis/American.Hustle.2013.1080p.BluRay.DTS-HD.MA.5.1.x264-PublicHD/American.Hustle.2013.1080p.BluRay.DTS-HD.MA.5.1.x264-PublicHD.mkv'
crash_function: std::__throw_runtime_error
executable:     /usr/bin/mkvmerge
kernel:         3.15.4-200.1.fc20.1.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #6 std::__throw_runtime_error at ../../../../../libstdc++-v3/src/c++11/functexcept.cc:84
 #7 std::locale::facet::_S_create_c_locale at c++locale.cc:137
 #8 std::locale::_Impl::_Impl at ../../../../../libstdc++-v3/src/c++98/localename.cc:182
 #9 std::locale::locale at ../../../../../libstdc++-v3/src/c++98/localename.cc:135
 #10 boost::filesystem::path::codecvt at libs/filesystem/src/path.cpp:911
 #11 operator=<char*> at boost/filesystem/path.hpp:202
 #12 boost::filesystem::detail::current_path at libs/filesystem/src/operations.cpp:1077
 #13 current_path at /usr/include/boost/filesystem/operations.hpp:429
 #14 get_current_exe_path at src/common/fs_sys_helpers.cpp:263
 #15 mtx::determine_path_to_current_executable at src/common/fs_sys_helpers.cpp:284

Comment 1 Juan Orti Alcaine 2014-07-17 05:12:06 UTC
Created attachment 918595 [details]
File: backtrace

Comment 2 Juan Orti Alcaine 2014-07-17 05:12:07 UTC
Created attachment 918596 [details]
File: build_ids

Comment 3 Juan Orti Alcaine 2014-07-17 05:12:08 UTC
Created attachment 918597 [details]
File: cgroup

Comment 4 Juan Orti Alcaine 2014-07-17 05:12:09 UTC
Created attachment 918598 [details]
File: core_backtrace

Comment 5 Juan Orti Alcaine 2014-07-17 05:12:11 UTC
Created attachment 918599 [details]
File: dso_list

Comment 6 Juan Orti Alcaine 2014-07-17 05:12:12 UTC
Created attachment 918600 [details]
File: environ

Comment 7 Juan Orti Alcaine 2014-07-17 05:12:13 UTC
Created attachment 918601 [details]
File: limits

Comment 8 Juan Orti Alcaine 2014-07-17 05:12:15 UTC
Created attachment 918602 [details]
File: maps

Comment 9 Juan Orti Alcaine 2014-07-17 05:12:16 UTC
Created attachment 918603 [details]
File: open_fds

Comment 10 Juan Orti Alcaine 2014-07-17 05:12:17 UTC
Created attachment 918604 [details]
File: proc_pid_status

Comment 11 Juan Orti Alcaine 2014-07-17 05:12:18 UTC
Created attachment 918605 [details]
File: var_log_messages

Comment 12 Dominik 'Rathann' Mierzejewski 2014-12-18 12:40:54 UTC
Please test if this occurs with this latest update: https://admin.fedoraproject.org/updates/mkvtoolnix-7.4.0-1.fc20

Comment 13 Dominik 'Rathann' Mierzejewski 2015-01-27 13:46:39 UTC
Cannot reproduce, please reopen if it's still happening.


Note You need to log in before you can comment on or make changes to this bug.